/**
 * @author sergio lisan
 *
 *  see LICENSE
 *
 *  number validators
 *
 */
import 'package:verbal_expressions/verbal_expressions.dart';

/// valores minimos precisa ser de 1 a 1000 reais
bool validateNumFrom1to1000(String value) {
  var regex = new VerbalExpression()
    ..add(r'[a-zA-Z!@#$%"&,.*=_+\[\]{}<>|\\/\^]+');

  bool regexPassed = !regex.hasMatch(value);
  if (regexPassed) {
    value = value.length >= 4 ? value.substring(0, 4) : value;
    int intValue = int.parse(value);
    return intValue > 0 && intValue <= 1000;
  }

  return false;
}