/**
 * @author sergio lisan
 *
 *  see LICENSE
 *
 *  text validators
 *
 */
import 'package:verbal_expressions/verbal_expressions.dart';

/// validate if something contains only text
bool validateText(String text) {
  var regex = new VerbalExpression()
    ..word();

  return regex.hasMatch(text) && !text.isEmpty;
}

/// validate if something contains only text with fucking limit
bool validateTextWithLimit(String text, int limit) {
  var regex = new VerbalExpression()
    ..word();

  return regex.hasMatch(text) && !text.isEmpty && text.length <= limit;
}

/// validate if something contains only text
bool validateName(String name) {
  var regex = new VerbalExpression()
    ..add(r'[0-9 !@#$%"&.*()-=_+\[\]{}<>|\\/\^]+');

  return !regex.hasMatch(name) && !name.isEmpty;
}

/// validate if something contains only text
bool validateNameWithSpace(String name) {
  var regex = new VerbalExpression()
    ..add(r'[0-9!@#$%"&.*()-=_+\[\]{}<>|\\/\^]+');

  return !regex.hasMatch(name) && !name.isEmpty;
}


/// funcao que valida email
bool validateEmail(String email) {
  var regex = new VerbalExpression()
    ..add(r'\b[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}\b');

  return regex.hasMatch(email);
}